List webhooks
curl --request POST \
--url https://api.openxswitch.com/v1/webhook/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookId": "<string>",
"pageNo": 1,
"pageLimit": 10
}
'import requests
url = "https://api.openxswitch.com/v1/webhook/list"
payload = {
"webhookId": "<string>",
"pageNo": 1,
"pageLimit": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhookId: '<string>', pageNo: 1, pageLimit: 10})
};
fetch('https://api.openxswitch.com/v1/webhook/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openxswitch.com/v1/webhook/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'webhookId' => '<string>',
'pageNo' => 1,
'pageLimit' => 10
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openxswitch.com/v1/webhook/list"
payload := strings.NewReader("{\n \"webhookId\": \"<string>\",\n \"pageNo\": 1,\n \"pageLimit\": 10\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openxswitch.com/v1/webhook/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"webhookId\": \"<string>\",\n \"pageNo\": 1,\n \"pageLimit\": 10\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openxswitch.com/v1/webhook/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"webhookId\": \"<string>\",\n \"pageNo\": 1,\n \"pageLimit\": 10\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "039103ewe....",
"name": "Test key",
"url": "https://example.com/webhooks/openxswitch",
"secret": "whsec_7xK9jR1tF8bC3zE5K9xL1mN4sY2vP7xQ",
"eventTypes": [
"wallets:swap",
"wallets:withdraw",
"wallets:deposit"
],
"isActive": true,
"isLive": true,
"createdAt": "2026-01-15T10:30:00Z"
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Webhook
List webhooks
Retrieve a paginated list of configured webhooks or registered endpoint subscriptions.
POST
/
v1
/
webhook
/
list
List webhooks
curl --request POST \
--url https://api.openxswitch.com/v1/webhook/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookId": "<string>",
"pageNo": 1,
"pageLimit": 10
}
'import requests
url = "https://api.openxswitch.com/v1/webhook/list"
payload = {
"webhookId": "<string>",
"pageNo": 1,
"pageLimit": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhookId: '<string>', pageNo: 1, pageLimit: 10})
};
fetch('https://api.openxswitch.com/v1/webhook/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openxswitch.com/v1/webhook/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'webhookId' => '<string>',
'pageNo' => 1,
'pageLimit' => 10
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openxswitch.com/v1/webhook/list"
payload := strings.NewReader("{\n \"webhookId\": \"<string>\",\n \"pageNo\": 1,\n \"pageLimit\": 10\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openxswitch.com/v1/webhook/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"webhookId\": \"<string>\",\n \"pageNo\": 1,\n \"pageLimit\": 10\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openxswitch.com/v1/webhook/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"webhookId\": \"<string>\",\n \"pageNo\": 1,\n \"pageLimit\": 10\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "039103ewe....",
"name": "Test key",
"url": "https://example.com/webhooks/openxswitch",
"secret": "whsec_7xK9jR1tF8bC3zE5K9xL1mN4sY2vP7xQ",
"eventTypes": [
"wallets:swap",
"wallets:withdraw",
"wallets:deposit"
],
"isActive": true,
"isLive": true,
"createdAt": "2026-01-15T10:30:00Z"
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)